---@meta

---@class UBPC_DumbestShitEver_C : UActorComponent
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Music UAudioComponent
---@field SetActiveMusicState boolean
---@field ActiveMusic USoundBase
---@field ['Parameter Name'] FName
---@field ['Start Index'] int32
---@field ['Update Music Index'] int32
local UBPC_DumbestShitEver_C = {}

UBPC_DumbestShitEver_C['OnRep_Update Music Index'] = function(self, ) end
function UBPC_DumbestShitEver_C:OnRep_SetActiveMusicState() end
function UBPC_DumbestShitEver_C:ReceiveBeginPlay() end
---@param ActivateMusic boolean
---@param Music USoundBase
---@param ParameterName FName
---@param StartIndex int32
function UBPC_DumbestShitEver_C:ActivateMusic(ActivateMusic, Music, ParameterName, StartIndex) end
---@param ParameterName FName
---@param UpdateMusic int32
function UBPC_DumbestShitEver_C:UpdateMusicIndex(ParameterName, UpdateMusic) end
---@param ActivateMusic boolean
function UBPC_DumbestShitEver_C:StopMusic(ActivateMusic) end
---@param EntryPoint int32
function UBPC_DumbestShitEver_C:ExecuteUbergraph_BPC_DumbestShitEver(EntryPoint) end


